AnnotatedTypeVariable (Java SE 9 & JDK 9 )
Keywords: java.lang.reflect.AnnotatedTypeVariable interface

Module java.base
Package java.lang.reflect

## Interface AnnotatedTypeVariable

- All Superinterfaces:
    `AnnotatedElement`, `AnnotatedType`

      public interface AnnotatedTypeVariable
      extends AnnotatedType

  `AnnotatedTypeVariable` represents the potentially annotated use of a type variable, whose declaration may have bounds which themselves represent annotated uses of types.
  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotatedType[]` | `getAnnotatedBounds​()` | Returns the potentially annotated bounds of this type variable.
    `AnnotatedType` | `getAnnotatedOwnerType​()` | Returns the potentially annotated type that this type is a member of, if this type represents a nested type.

    - ### Methods inherited from interface java.lang.reflect.AnnotatedElement

      `getAnnotation, getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotations, getDeclaredAnnotationsByType, isAnnotationPresent`

    - ### Methods inherited from interface java.lang.reflect.AnnotatedType

      `getType`

- - ### Method Detail

    - #### getAnnotatedBounds

          AnnotatedType[] getAnnotatedBounds​()

      Returns the potentially annotated bounds of this type variable. If no bound is explicitly declared, the bound is unannotated `Object`.
      Returns:
        the potentially annotated bounds of this type variable
      See Also:
        `TypeVariable.getBounds()`

    - #### getAnnotatedOwnerType

          AnnotatedType getAnnotatedOwnerType​()

      Returns the potentially annotated type that this type is a member of, if this type represents a nested type. For example, if this type is `@TA O<T>.I<S>`, return a representation of `@TA O<T>`.

      Returns `null` for an `AnnotatedType` that is an instance of `AnnotatedTypeVariable`.

      Specified by:
        `getAnnotatedOwnerType` in interface `AnnotatedType`
      Returns:
        `null`
      Since:
        9